<table *ngIf="(isLoading===false && !error)" mat-table [dataSource]="data | forecastTableFormat">

    <ng-container matColumnDef="time">
        <th mat-header-cell *matHeaderCellDef> Time </th>
        <td mat-cell *matCellDef="let element"> {{element.time | date:'shortTime'}} </td>
    </ng-container>

    <ng-container matColumnDef="state">
        <th mat-header-cell *matHeaderCellDef> State </th>
        <td mat-cell *matCellDef="let element"> {{element.state}} </td>
    </ng-container>

    <ng-container matColumnDef="temperature">
        <th mat-header-cell *matHeaderCellDef> Temperature </th>
        <td mat-cell *matCellDef="let element"> {{element.temperature}} </td>
    </ng-container>

    <ng-container matColumnDef="pressure">
        <th mat-header-cell *matHeaderCellDef> Pressure </th>
        <td mat-cell *matCellDef="let element"> {{element.pressure}} </td>
    </ng-container>
    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
</table>

<div *ngIf="isLoading">Loading</div>
